Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class Party34Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.Party34Choice

    public class Party34Choice
    extends java.lang.Object

Java class for Party34Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Party34Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="OrgId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}OrganisationIdentification8"/>
             <element name="PrvtId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}PersonIdentification13"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected OrganisationIdentification8` `orgId`
`protected PersonIdentification13` `prvtId`

### Constructor Summary

Constructors
`Party34Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`OrganisationIdentification8` `getOrgId()` Gets the value of the orgId property.
`PersonIdentification13` `getPrvtId()` Gets the value of the prvtId property.
`void` `setOrgId​(OrganisationIdentification8 value)` Sets the value of the orgId property.
`void` `setPrvtId​(PersonIdentification13 value)` Sets the value of the prvtId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### orgId

    protected OrganisationIdentification8 orgId

#### prvtId

    protected PersonIdentification13 prvtId

### Constructor Detail

#### Party34Choice

    public Party34Choice()

### Method Detail

#### getOrgId

    public OrganisationIdentification8 getOrgId()

Gets the value of the orgId property.

Returns:
  possible object is `OrganisationIdentification8`

#### setOrgId

    public void setOrgId​(OrganisationIdentification8 value)

Sets the value of the orgId property.

Parameters:
  `value` - allowed object is `OrganisationIdentification8`

#### getPrvtId

    public PersonIdentification13 getPrvtId()

Gets the value of the prvtId property.

Returns:
  possible object is `PersonIdentification13`

#### setPrvtId

    public void setPrvtId​(PersonIdentification13 value)

Sets the value of the prvtId property.

Parameters:
  `value` - allowed object is `PersonIdentification13`